---
apiVersion: v1
kind: ConfigMap
metadata:
  name: tasks-execution-config-comparisons-v2
  namespace: comparisons
data:
  tasks-execution-config-comparisons-v2.json: |
    {
        "abap": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "bim2bim_comparison": {
            "executor": "k8s"
        },
        "bim_api_metadata_inserter_v2": {
            "executor": "k8s",
            "resources": {
                "memory_requests": "5Gi"
            }
        },
        "bim_api_metadata_inserter_v4": {
            "executor": "k8s",
            "resources": {
                "memory_requests": "3Gi"
            }
        },
        "bim_abap_updater": {
            "executor": "k8s"
        },
        "build_ooc": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "calculate_deviation_job": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "cloud_to_cloud": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "cloud_to_surface": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "convert_to_potree": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "900m",
                "memory_requests": "3.3Gi"
            }
        },
        "deviation_icp": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "las_to_tiff": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "8",
                "memory_requests": "40Gi"
            }
        },
        "pdf_cv_comparer": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "1",
                "memory_requests": "512Mi"
            }
        },
        "pdf_georeferencing": {
            "executor": "k8s"
        },
        "split_pdf_document": {
            "executor": "k8s",
            "resources": {
                "cpu_requests": "1",
                "memory_requests": "512Mi"
            }
        },
        "webhook_caller": {
            "executor": "k8s"
        }
    }
